Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5158)
@@ -447,42 +442,41 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    PRINT*,'Allocations OK'
-    CALL old_read_SCM (nid,nlev_cas,nt_cas,                                                                     &
-         ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
-         ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
-         dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
-         dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tke_cas,                      &
-         uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
-         o3_cas,rugos_cas,clay_cas,sand_cas)
-    PRINT*,'Read2 cas OK'
-    do ii=1,nlev_cas
-       PRINT*,'apres read2_cas, plev_cas=',ii,plev_cas(ii,1)
+    PRINT*, 'Allocations OK'
+    CALL old_read_SCM (nid, nlev_cas, nt_cas, &
+            ap_cas, bp_cas, z_cas, plev_cas, zh_cas, plevh_cas, t_cas, th_cas, thv_cas, thl_cas, qv_cas, &
+            ql_cas, qi_cas, rh_cas, rv_cas, u_cas, v_cas, vitw_cas, omega_cas, ug_cas, vg_cas, du_cas, hu_cas, vu_cas, &
+            dv_cas, hv_cas, vv_cas, dt_cas, ht_cas, vt_cas, dq_cas, hq_cas, vq_cas, dth_cas, hth_cas, vth_cas, &
+            dr_cas, hr_cas, vr_cas, dtrad_cas, sens_cas, lat_cas, ts_cas, ps_cas, ustar_cas, tke_cas, &
+            uw_cas, vw_cas, q1_cas, q2_cas, orog_cas, albedo_cas, emiss_cas, t_skin_cas, q_skin_cas, mom_rough, heat_rough, &
+            o3_cas, rugos_cas, clay_cas, sand_cas)
+    PRINT*, 'Read2 cas OK'
+    DO ii = 1, nlev_cas
+      PRINT*, 'apres read2_cas, plev_cas=', ii, plev_cas(ii, 1)
     enddo
 
-
   END SUBROUTINE old_read_SCM_cas
 
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   SUBROUTINE deallocate2_1D_cases
     !profils environnementaux:
-    deallocate(plev_cas,plevh_cas)
-
-    deallocate(z_cas,zh_cas)
-    deallocate(ap_cas,bp_cas)
-    deallocate(t_cas,q_cas,qv_cas,ql_cas,qi_cas,rh_cas)
-    deallocate(th_cas,thl_cas,thv_cas,rv_cas)
-    deallocate(u_cas,v_cas,vitw_cas,omega_cas)
+    deallocate(plev_cas, plevh_cas)
+
+    deallocate(z_cas, zh_cas)
+    deallocate(ap_cas, bp_cas)
+    deallocate(t_cas, q_cas, qv_cas, ql_cas, qi_cas, rh_cas)
+    deallocate(th_cas, thl_cas, thv_cas, rv_cas)
+    deallocate(u_cas, v_cas, vitw_cas, omega_cas)
 
     !forcing
-    deallocate(ht_cas,vt_cas,dt_cas,dtrad_cas)
-    deallocate(hq_cas,vq_cas,dq_cas)
-    deallocate(hth_cas,vth_cas,dth_cas)
-    deallocate(hr_cas,vr_cas,dr_cas)
-    deallocate(hu_cas,vu_cas,du_cas)
-    deallocate(hv_cas,vv_cas,dv_cas)
+    deallocate(ht_cas, vt_cas, dt_cas, dtrad_cas)
+    deallocate(hq_cas, vq_cas, dq_cas)
+    deallocate(hth_cas, vth_cas, dth_cas)
+    deallocate(hr_cas, vr_cas, dr_cas)
+    deallocate(hu_cas, vu_cas, du_cas)
+    deallocate(hv_cas, vv_cas, dv_cas)
     deallocate(ug_cas)
     deallocate(vg_cas)
-    deallocate(lat_cas,sens_cas,ts_cas,ps_cas,ustar_cas,tke_cas,uw_cas,vw_cas,q1_cas,q2_cas)
+    deallocate(lat_cas, sens_cas, ts_cas, ps_cas, ustar_cas, tke_cas, uw_cas, vw_cas, q1_cas, q2_cas)
 
     !champs interpoles
